###################################################
### chunk number 1: preliminaries
###################################################
#line 82 "MantelCorrVignette.Rnw"
library(MantelCorr)
data(GolubTrain)
dim(GolubTrain)
data <- GolubTrain


###################################################
### chunk number 2: GetClusters
###################################################
#line 103 "MantelCorrVignette.Rnw"
kmeans.result <- GetClusters(data, 500, 100)


###################################################
### chunk number 3: DistMatrices
###################################################
#line 113 "MantelCorrVignette.Rnw"
DistMatrices.result <- DistMatrices(data, kmeans.result$clusters)


###################################################
### chunk number 4: MantelCorrs
###################################################
#line 123 "MantelCorrVignette.Rnw"
MantelCorrs.result <- MantelCorrs(DistMatrices.result$Dfull, DistMatrices.result$Dsubsets)


###################################################
### chunk number 5: PermutationTest
###################################################
#line 134 "MantelCorrVignette.Rnw"
permuted.pval <- PermutationTest(DistMatrices.result$Dfull, DistMatrices.result$Dsubsets, 100, 38, 0.05)


###################################################
### chunk number 6: ClusterList
###################################################
#line 146 "MantelCorrVignette.Rnw"
ClusterLists <- ClusterList(permuted.pval, kmeans.result$cluster.sizes, MantelCorrs.result)


###################################################
### chunk number 7: ClusterGeneList
###################################################
#line 157 "MantelCorrVignette.Rnw"
ClusterGenes <- ClusterGeneList(kmeans.result$clusters, ClusterLists$SignificantClusters, data)


